org.apache.jmeter.rmi

## Class RmiUtils

- java.lang.Object
- - org.apache.jmeter.rmi.RmiUtils

-     public final class RmiUtils
      extends java.lang.Object

  RMI Helper class
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_LOCAL_PORT`
    `static int` | `DEFAULT_RMI_PORT`
    `static int` | `DEFAULT_RMI_REGISTRY_PORT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.rmi.server.RMIClientSocketFactory` | `createClientSocketFactory()`
    `static java.rmi.server.RMIServerSocketFactory` | `createServerSocketFactory()`
    `static java.net.InetAddress` | `getRmiHost()`
    `static int` | `getRmiRegistryPort()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_RMI_REGISTRY_PORT

          public static final int DEFAULT_RMI_REGISTRY_PORT

    - #### DEFAULT_RMI_PORT

          public static final int DEFAULT_RMI_PORT

    - #### DEFAULT_LOCAL_PORT

          public static final int DEFAULT_LOCAL_PORT

  - ### Method Detail

    - #### createClientSocketFactory

          public static java.rmi.server.RMIClientSocketFactory createClientSocketFactory()

    - #### createServerSocketFactory

          public static java.rmi.server.RMIServerSocketFactory createServerSocketFactory()
                                                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getRmiHost

          public static java.net.InetAddress getRmiHost()
                                                 throws java.rmi.RemoteException

      Returns:
        the configure address for usage by RMI
      Throws:
        `java.rmi.RemoteException` - when no valid address can be found

    - #### getRmiRegistryPort

          public static int getRmiRegistryPort()

      Returns:
        port of RMI Registry

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.